OpenAPI 3.0.3

API un MCP

Integrējiet ChatReact savās lietotnēs. Pilns REST API ar interaktīvu pārlūku un koda piemēriem.

REST un MCP API

Pilns REST API un Model Context Protocol AI asistentiem

Droša autentifikācija

API atslēgas ar priekškodu cr_ drošai piekļuves kontrolei

OpenAPI 3.0

Pilna specifikācija lejupielādei – Postman, codegen un jūsu SDK

Pieprasījumu ierobežošana

30 pieprasījumi/min REST API, 60 pieprasījumi/min MCP un logrīks

Ātra sākšana

example.js
// Send the first message; the response supplies sessionId.
const response = await fetch('/api/widget/{chatbotId}/chat', {
  method: 'POST',
  headers: { 'Content-Type': 'application/json' },
  body: JSON.stringify({ message: 'Hello, I need help!', language: 'en' })
});

const { sessionId } = await response.json();

// Continue the same conversation.
await fetch('/api/widget/{chatbotId}/chat', {
  method: 'POST',
  headers: { 'Content-Type': 'application/json' },
  body: JSON.stringify({
    sessionId,
    message: 'Can you explain that in more detail?',
    language: 'en'
  })
});

Autentifikācija

REST v1 un MCP izmanto uzņēmuma API atslēgu. Jūs nekad neatklājiet slepeno atslēgu publiskā vietnes logrīkā. Iepriekš minētais tērzēšanas piemērs izmanto publisko logrīka galapunktu.

Authorization: Bearer cr_your_api_key_here